Hi, this stretch problem worked but now CAD is messing points to stretch on polyface mesh... So I am going to try in another way to transform polyface mesh...
I obtained point coordinates from polyface mesh with these lines:
(vl-load-com)
(setq EA (vlax-ename->vla-object (car (entsel)))
... selecting polyface mesh ...
(setq EACoord (vla-get-Coordinates EA))
(setq EACoordList (vlax-safearray->list (vlax-variant-value EACoord)))
... from this list of point coordinates, I made new one in the same lisp value list form ...
I need to repalce this new coordinates list within EA object and modify it (I don't know how to do this - with ordinary lisp functions I used) :
(setq entlist (entget (car (entsel))))
(setq entlist (subst (cons ? newvalue) - "new value" (assoc ? entlist) - "old value" entlist))
(entmod entlist)
This entmod function is probably different in VLISP mode, and don't know weather should I use subst function...
Marko Ribar
please, answer if you know how to make this modification to EA object polyface mesh...